package cn.pluss.platform.leshua;

/**
 * @author yuchen
 *
 * @Description 
 * 法人信息，个人类型填联系人信息
 */
public class LegalPerson {

	/**
	 * 有
	 * 法人姓名
	 */
	private String legalName;
	
	private Integer credentialType; 
	
	/**
	 * 有
	 * 证件号码
	 */
	private String idCardNo;
	
	/**
	 * 有
	 * 法人身份证正面
	 */
	private String idcardFrontPic;
	
	/**
	 * 有
	 * 法人身份证反面
	 */
	private String idcardBackPic;
	
	/**
	 * 有
	 * 证件有效期开始日期
	 */
	private String idCardStart;
	
	/**
	 * 有
	 * 证件有效期结束格式： 2015-09-22，永久有效:2099-12-30
	 */
	private String idCardEnd;

	public String getLegalName() {
		return legalName;
	}

	public void setLegalName(String legalName) {
		this.legalName = legalName;
	}

	public String getIdCardNo() {
		return idCardNo;
	}

	public void setIdCardNo(String idCardNo) {
		this.idCardNo = idCardNo;
	}

	public String getIdcardFrontPic() {
		return idcardFrontPic;
	}

	public void setIdcardFrontPic(String idcardFrontPic) {
		this.idcardFrontPic = idcardFrontPic;
	}

	public String getIdcardBackPic() {
		return idcardBackPic;
	}

	public void setIdcardBackPic(String idcardBackPic) {
		this.idcardBackPic = idcardBackPic;
	}

	public String getIdCardStart() {
		return idCardStart;
	}

	public void setIdCardStart(String idCardStart) {
		this.idCardStart = idCardStart;
	}

	public String getIdCardEnd() {
		return idCardEnd;
	}

	public void setIdCardEnd(String idCardEnd) {
		this.idCardEnd = idCardEnd;
	}

	public Integer getCredentialType() {
		return credentialType;
	}

	public void setCredentialType(Integer credentialType) {
		this.credentialType = credentialType;
	}
	
	
	
}

